## debconf-kde 1.1.0-1build3trisquel1

=== debian/changelog ===
debconf-kde (1.1.0-1build3trisquel1) ecne; urgency=medium

  * Patch package to pass HOME to prevent dialog for every request.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 03 Jun 2025 01:13:58 +0000

debconf-kde (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:35:13 +0100

debconf-kde (1.1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:19 +0000

debconf-kde (1.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:11:17 +0000
