## debconf-kde 1.1.0-1+11.0trisquel1

=== debian/changelog ===
debconf-kde (1.1.0-1+11.0trisquel1) aramo; urgency=medium

  * Patch package to pass HOME to prevent dialog for every request.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 03 Jun 2025 05:05:14 +0000
