=== debian/changelog ===
debconf-kde (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Update watch file for the new tarballs location.
  * Add a simple debian/upstream/metadata file.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.4.0
    - bump KF packages to 6.12.0
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * CI: update/simplify configuration.
  * Switch Homepage to the current location of the sources, i.e.
    https://invent.kde.org/system/libdebconf-kde.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit 4f4d201b7a6784461857effdc95d0266f957430a to install
    the generated debconf-kde_export.h, needed by the public headers; patch
    upstream_fix-install-debconf-kde_export.h.patch
    - update libdebconf-kde-dev.install accordingly

 -- Pino Toscano <pino@debian.org>  Sat, 25 Oct 2025 10:41:20 +0200

debconf-kde (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
    - Port to Qt6 (with improved Wayland support) (Closes: #927060)
  * Bump standards version (No changes needed)
  * Drop debconf-kde-dbg transition helper
  * Update build dependencies
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 20 Oct 2025 22:58:38 +0200
