=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: debconf-kde
 Section: kde
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.1~),
-               debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.5.0),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.0.0),
-               libkf5i18n-dev (>= 5.0.0),
-               libkf5iconthemes-dev (>= 5.0.0),
-               libkf5textwidgets-dev (>= 5.0.0),
-               libkf5widgetsaddons-dev (>= 5.0.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.2.0),
-Standards-Version: 4.6.0
-Homepage: https://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkf6textwidgets-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
+               qt6-base-dev (>= 6.4.0~),
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/system/libdebconf-kde
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/debconf-kde.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/debconf-kde
-Rules-Requires-Root: no
 
 Package: debconf-kde-data
 Architecture: all
@@ -37,7 +36,8 @@
 
 Package: debconf-kde-helper
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI frontend tool
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -53,13 +53,8 @@
 Section: libdevel
 Architecture: any
 Depends: libdebconf-kde1 (= ${binary:Version}),
-         libkf5coreaddons-dev,
-         libkf5i18n-dev,
-         libkf5iconthemes-dev,
-         libkf5textwidgets-dev,
-         libkf5widgetsaddons-dev,
-         qtbase5-dev (>= 5.2.0),
-         ${misc:Depends},
+         qt6-base-dev,
+         ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -76,7 +71,7 @@
 Multi-Arch: same
 Depends: debconf-kde-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
