## debconf-kde 1.2.0+p24.04+vrelease+git20251029.1228

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251029.1228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 12:28:16 +0000

debconf-kde (1.2.0-neon0) unstable; urgency=medium

  * new release

 -- Carlos De Maine <carlosd.kde@gmail.org>  Wed, 29 Oct 2025 22:26:18 +1000
