## debconf-kde 1.2.0+p24.04+vrelease+git20251203.0056

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251203.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:56:40 +0000
