## debconf-kde 1.2.0+p24.04+vrelease+git20251220.0042

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251220.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:42:25 +0000
