## debconf-kde 1.2.0+p24.04+vstable+git20251029.1228

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(libdebconf-kde VERSION 1.2.0)
+project(libdebconf-kde VERSION 1.2.1)
 
 set(QT_MIN_VERSION "6.4.0")
 set(KF_MIN_VERSION "6.12.0")
