=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251029.1228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 12:28:19 +0000
