=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libdebconf-kde/([\d.]+)/src/libdebconf-kde-([\d.]+)\.tar\.xz
