## debconf-kde 1.2.0+p24.04+vstable+git20251123.1811

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251123.1811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:11:50 +0000
