## debconf-kde 1.2.0+p24.04+vstable+git20251222.0235

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251222.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:35:51 +0000
