## debconf-kde 1.2.0+p24.04+vunstable+git20251220.0230

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vunstable+git20251220.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:30:42 +0000
